Subject: Re: [tsvwg] [Editorial Errata Reported] RFC7605 (5592)

From: Mirja Kuehlewind <[email-masked]>
Date: Mon, 18 Mar 2019 15:15:52 +0100

So should I update and verify the errata with new text proposed by Mike:

"[RFC1340] also established the Registered range of 1024-65535, though it noted that it was not controlled by the IANA (at that point).  The list provided by [RFC1700] in 1994 remained the standard until it was declared replaced by an online version, as of [RFC3232] in 2002.  At some time prior to that, the Registered range was changed to 1024-49151and the Dynamic/Private range of 49152-65535 was established.”

?

Mirja

> On 7. Jan 2019, at 05:23, Joe Touch <[email-masked]> wrote:
> 
> Not sure what you’re seeing, but one minor update below on the provenance and some notes on search terms I used.
> 
> Joe
> 
>> On Jan 6, 2019, at 7:20 PM, C. M. Heard <[email-masked]> wrote:
>> 
>> OK, I looked on the wayback machine to see what I could find.
>> 
>> Snapshots of the repository referenced in RFC 1700 (ftp://ftp.isi.edu/in-notes/iana/assignments/port-numbers) indicate that it moved to http://www.iana.org/assignments/port-numbers on or before 2001-05-11. The earliest snapshot of that page was from 2001-06-04:
>> 
>> https://web.archive.org/web/20010604223215/http://www.iana.org:80/assignments/port-numbers
> 
> 2001-05-19 is earlier with the same results:
> https://web.archive.org/web/20010519080902/http://www.iana.org:80/assignments/port-numbers
> 
>> 
>> I also found an earlier snapshot from 2000-08-15 that was archived from www.isi.edu:
>> 
>> https://web.archive.org/web/20000815053440/http://www.isi.edu:80/in-notes/iana/assignments/port-numbers
>> 
>> Both of them say:
>> The port numbers are divided into three ranges: the Well Known Ports,
>> the Registered Ports, and the Dynamic and/or Private Ports.
>> 
>> The Well Known Ports are those from 0 through 1023.
>> 
>> The Registered Ports are those from 1024 through 49151
>> 
>> The Dynamic and/or Private Ports are those from 49152 through 65535
>> 
>> 
>> So the current range for registered ports was in effect for more than a decade prior to the publication of RFC 6335.
> 
> That’s what I thought - though I was hoping to find something that points to the actual change.  I wasn’t able to find any RFC citing the change, searching on:
> 	49151
> 	49152
> 	ephemeral port
> 	dynamic port
> 	private port
> 
>> 
>> On that basis, the "corrected text" that I proposed is incomplete. Maybe the following would be better:
>> 
>> OLD:
>>                                       [RFC1340
>> ] also establishes the
>>    Registered range of 1024-59151, though it notes that it is not
>>    controlled by the IANA (at that point).  The list provided by
>>    [
>> RFC1700
>> ] in 1994 remained the standard until it was declared
>>    replaced by an online version, as of [
>> RFC3232] in 2002.
>> 
>> NEW:
>>                                       [RFC1340
>> ] also established the
>>    Registered range of 1024-65535, though it noted that it was not
>>    controlled by the IANA (at that point).  The list provided by
>>    [
>> RFC1700
>> ] in 1994 remained the standard until it was declared
>>    replaced by an online version, as of [
>> RFC3232] in 2002.  At some
>>    time prior to that, the Registered range was changed to 1024-49151
>>    and the Dynamic/Private range of 49152-65535 was established.
>> 
>> Sigh ... this all started because I saw 59151 and thought it was just a typo that should have been 49151.
> 
>> 
>> Mike Heard
>> 
>> On Sun, Jan 6, 2019 at 2:29 PM Joe Touch <[email-masked]> wrote:
>> Yes, as does RFC 1700. However, it was long before 6335 that the range was reduced to 48K, down from 64K. The only place to check, AFAICT, will be the Internet archive pages of IANA, other than RFCs...
>> Joe
>> 
>> > On Jan 6, 2019, at 10:56 AM, Gorry Fairhurst <[email-masked]> wrote:
>> > 
>> > The point I saw was that RFC 1340 states this range on p23:
>> > 
>> > "
>> > The Registered Ports are in the range 1024-65535.
>> > "
>> > 
>> > Gorry
>> > 
>> > On 06/01/2019, 04:26, Joe Touch wrote:
>> >> PS - ephemeral ports were known before RFC 6335. RFC 6056 refers to them
>> >> at least; I'm digging to see if there's an earlier reference.
>> >> Joe
>> >> 
>> >> On 1/5/2019 3:17 PM, Joe Touch wrote:
>> >>> Good catch, though IANA did *register* ports in the range 1024-63353. I’m not sure what it meant to “control” ports; in both the system and registered ranges, all IANA could ever do was register assignees.
>> >>> 
>> >>> Joe
>> >>> 
>> >>>> On Jan 5, 2019, at 2:30 PM, RFC Errata System<[email-masked]>  wrote:
>> >>>> 
>> >>>> The following errata report has been submitted for RFC7605,
>> >>>> "Recommendations on Using Assigned Transport Port Numbers".
>> >>>> 
>> >>>> --------------------------------------
>> >>>> You may review the report below and at:
>> >>>> http://www.rfc-editor.org/errata/eid5592
>> >>>> 
>> >>>> --------------------------------------
>> >>>> Type: Editorial
>> >>>> Reported by: C. M. Heard<[email-masked]>
>> >>>> 
>> >>>> Section: 3
>> >>>> 
>> >>>> Original Text
>> >>>> -------------
>> >>>>                                      [RFC1340] also establishes the
>> >>>>   Registered range of 1024-59151, though it notes that it is not
>> >>>>   controlled by the IANA (at that point).
>> >>>> 
>> >>>> Corrected Text
>> >>>> --------------
>> >>>>                                      [RFC1340] also established the
>> >>>>   Registered range of 1024-65535, though it noted that it was not
>> >>>>   controlled by the IANA (at that point).
>> >>>> 
>> >>>> Notes
>> >>>> -----
>> >>>> RFC 1340 (and RFC 1700, the subsequent and final Assigned Numbers RFC) listed the upper end of the Registered port range as 65535. It was subsequently changed to 49151 by RFC 6335.
>> >>>> 
>> >>>> Instructions:
>> >>>> -------------
>> >>>> This erratum is currently posted as "Reported". If necessary, please
>> >>>> use "Reply All" to discuss whether it should be verified or
>> >>>> rejected. When a decision is reached, the verifying party
>> >>>> can log in to change the status and edit the report, if necessary.
>> >>>> 
>> >>>> --------------------------------------
>> >>>> RFC7605 (draft-ietf-tsvwg-port-use-11)
>> >>>> --------------------------------------
>> >>>> Title               : Recommendations on Using Assigned Transport Port Numbers
>> >>>> Publication Date    : August 2015
>> >>>> Author(s)           : J. Touch
>> >>>> Category            : BEST CURRENT PRACTICE
>> >>>> Source              : Transport Area Working Group
>> >>>> Area                : Transport
>> >>>> Stream              : IETF
>> >>>> Verifying Party     : IESG
>> >

---

From: Joe Touch <[email-masked]>
Date: Mon, 18 Mar 2019 18:55:07 -0700

> "[RFC1340] also established the Registered range of 1024-65535, though it noted that it was not controlled by the IANA (at that point).  The list provided by [RFC1700] in 1994 remained the standard…

It might be useful to help be more clear as to what we know:

[RFC1340] also first indicated the Registered range of 1024-65535, though it noted that it was only recorded (rather than controlled) by IANA at that point .  The list provided by [RFC1700] in 1994 remained the standard until it was declared replaced by an online version, as of [RFC3232] in 2002.  At some time after 1994 but before 2000, the Registered range was changed to 1024-49151 and the Dynamic/Private range of 49152-65535 was established, although this change was not recorded in RFCs until [RFC6335].

---

From: Mirja Kuehlewind <[email-masked]>
Date: Tue, 19 Mar 2019 17:08:29 +0100

Wfm. Any other comments?

On 19.03.19, 02:56, "tsvwg on behalf of Joe Touch" <[email-masked] on behalf of [email-masked]> wrote:

---

From: Gorry Fairhurst <[email-masked]>
Date: Tue, 19 Mar 2019 18:06:29 +0000

If this is headed in the correct direction, which I think it may be, I 
suggest we tidy this as follows:

"[RFC1340] first indicated the Registered range of 1024-65535. This noted that the range was only recorded (rather than controlled) by IANA. The list provided by [RFC1700] in 1994 remained the standard, until replaced by an online version in 2002 [RFC3232].  At some time after 1994, but before 2000, the Registered range was changed to 1024-49151 and the Dynamic/Private range of 49152-65535 was established, although this change was not recorded in the RFC series until 2011 [RFC6335]."

Gorry

On 19/03/2019, 16:08, Mirja Kuehlewind wrote:
> Wfm. Any other comments?
>
>
>
> On 19.03.19, 02:56, "tsvwg on behalf of Joe Touch"<[email-masked] on behalf of [email-masked]>  wrote:
>
>
>      >>  On 7. Jan 2019, at 05:23, Joe Touch<[email-masked]>  wrote:
>      >>
>      >>>  On Jan 6, 2019, at 7:20 PM, C. M. Heard<[email-masked]>  wrote:
>      >>>
>      >>>  On Sun, Jan 6, 2019 at 2:29 PM Joe Touch<[email-masked]>  wrote:
>      >>>>  On Jan 6, 2019, at 10:56 AM, Gorry Fairhurst<[email-masked]>  wrote:
>      >>>>

---

From: Joe Touch <[email-masked]>
Date: Tue, 19 Mar 2019 12:37:56 -0700

Looks good but let’s also keep in mind that we’re not actually editing the next version of the doc just yet. That happens if and when a -bis is warranted. 

> On Mar 19, 2019, at 11:06 AM, Gorry Fairhurst <[email-masked]> wrote:
> 
> 
> If this is headed in the correct direction, which I think it may be, I suggest we tidy this as follows:
>

---

From: Mirja Kuehlewind <[email-masked]>
Date: Thu, 21 Mar 2019 09:21:05 +0100

Should I rather make this errata as “held for document update” then?

Mirja

> On 19. Mar 2019, at 20:37, Joe Touch <[email-masked]> wrote:
>

---

From: Gorry Fairhurst <[email-masked]>
Date: Thu, 21 Mar 2019 08:33:17 +0000

Mirja, Please wait until the question is answered!

I think if this was just historical correctness, so to me "hold" would 
be OK. However, the correction is to
the present text that says "also establishes the Registered range of 
1024-59151," which had the wrong
final value in the range.

Joe, isn't this correcting an actual mistake?

Gorry

On 21/03/2019, 08:21, Mirja Kuehlewind wrote:
>> On 19. Mar 2019, at 20:37, Joe Touch<[email-masked]>  wrote:
>>
>>> On Mar 19, 2019, at 11:06 AM, Gorry Fairhurst<[email-masked]>  wrote:
>>>
>>>

---

From: Mirja Kuehlewind <[email-masked]>
Date: Thu, 21 Mar 2019 09:37:32 +0100

Maybe then we just need to verify the current errata as it is and submit a second one with additional text to put on “hold”…?

I’ll wait for Joe’s reply.

> On 21. Mar 2019, at 09:33, Gorry Fairhurst <[email-masked]> wrote:
> 
> I think if this was just historical correctness, so to me "hold" would be OK. However, the correction is to
> the present text that says "also establishes the Registered range of 1024-59151," which had the wrong

---

From: Joe Touch <[email-masked]>
Date: Thu, 21 Mar 2019 06:21:28 -0700

This should be “hold for doc update”.

It addresses a typo in the historical discussion that does not affect the BCP recommendations of the normative portions of the doc, which use the correct value.

Joe

> On Mar 21, 2019, at 1:37 AM, Mirja Kuehlewind <[email-masked]> wrote:
>

---

From: Gorry Fairhurst <[email-masked]>
Date: Thu, 21 Mar 2019 15:36:10 +0000

Please, go-ahead as “hold for doc update”.

As Joe noted, this is in Section 3 (History).

Gorry

On 21/03/2019, 13:21, Joe Touch wrote:
>> On Mar 21, 2019, at 1:37 AM, Mirja Kuehlewind<[email-masked]>  wrote:
>>
>>> On 21. Mar 2019, at 09:33, Gorry Fairhurst<[email-masked]>  wrote:
>>>